﻿/*
 * Erstellt mit SharpDevelop.
 * Benutzer: Hauptnutzer
 * Datum: 02.09.2010
 * Zeit: 17:03
 * 
 * Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
 */
using System;

namespace ZweiDimensionalerRegressator
{
	/// <summary>
	/// Messparameter
	/// </summary>
	public class MessParameter
	{
		public double[] Vec1;
		public double[] Vec3;
		public double[] Vec2;
		
		
		
		
		
		public MessParameter(double[] _Vec1, double[] _Vec2)
		{
			// Abbruch wenn übergebene Vektoren fehlerhaft
			if (_Vec1 == null)
				throw new ArgumentException("Übergebener Vec1 nicht instanziert");
			if (_Vec2 == null)
				throw new ArgumentException("Übergebener Vec2 nicht instanziert");
			if (_Vec1.Length == 0)
				throw new ArgumentException("Übergebener Vec1 enthält keine Felder");
			if (_Vec2.Length == 0)
				throw new ArgumentException("Übergebener Vec2 enthält keine Felder");
			
			Vec1 = _Vec1;
			Vec2 = _Vec2;
			Vec3 = new double[Vec1.Length];
			for (int i = 0; i < Vec1.Length; i++)
				Vec3[i] = 2 * Math.PI * Vec1[i];
		}
		
	}
}
