﻿/*
 * Erstellt mit SharpDevelop.
 * Benutzer: Hauptnutzer
 * Datum: 02.09.2010
 * Zeit: 16:42
 * 
 * Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
 */
using System;

namespace ZweiDimensionalerRegressator
{
	/// <summary>
	/// Enthält die Messmatrix
	/// TODO: Aber noch keine Messunsicherheiten zu jedem Messwert
	/// </summary>
	public class Messwerte
	{
		public double[,] DeltaMat;
		private MessParameter myMessParameter;
		
		public Messwerte(MessParameter _Messparameter)
		{
			if (_Messparameter == null)
				throw new ArgumentException("Übergebene Messparameter nicht instanziert");
			
			// Messparameter lokal speichern
			myMessParameter = _Messparameter;

			
			DeltaMat = new double[_Messparameter.Vec1.Length, _Messparameter.Vec2.Length];			
		}
		
		
	}
}
